
CoCoALib - Support #810

ILogBase: change name?

20 Nov 2015 14:34 - John Abbott

Status: Closed Start date: 20 Nov 2015

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 0.00 hour

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 1.60 hour

Description

I was wondering about using a better name for ILogbase.

I used it recently in a new function, and couldn't remember exactly what it does, and the name was not so helpful in reminding me.

Possible candidates are FloorLog and FloorLogBase

History

#1 - 20 Nov 2015 14:36 - John Abbott

Personally I think that FloorLogBase is too long.  Anyway, the fn should expect two args (of which the second is the base of the logarithm).

I suspect (but have not verified) that it is most usually called with 2nd arg being 2, so it might even make sense to have a special fn FloorLog2? 

Perhaps also FloorLog10?

Ideas?  Comments?  Opinions?

#2 - 23 Nov 2015 11:19 - Anna Maria Bigatti

- % Done changed from 0 to 10

John Abbott wrote:

Personally I think that FloorLogBase is too long.  Anyway, the fn should expect two args (of which the second is the base of the logarithm).

 

I like FloorLogBase

I suspect (but have not verified) that it is most usually called with 2nd arg being 2, so it might even make sense to have a special fn FloorLog2? 

Perhaps also FloorLog10?

 

Yes, I like them
#3 - 23 Nov 2015 14:37 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99540 Feb 2016

- % Done changed from 10 to 40

I've almost finished making the changes.  I think FloorLog2 and FloorLog10 do improve readability of the code where they are used.

Should the CoCoA-5 manual pages for FloorLog2 and FloorLog10 be separate from that for FloorLogBase?  If not, what should the title of the page

be? FloorLog2, FloorLog10, FloorLogBase?

#4 - 23 Nov 2015 14:56 - Anna Maria Bigatti

John Abbott wrote:

Should the CoCoA-5 manual pages for FloorLog2 and FloorLog10 be separate from that for FloorLogBase?  If not, what should the title of the

page be? FloorLog2, FloorLog10, FloorLogBase?

 

Separate.  Three entries (at least two...)

#5 - 23 Nov 2015 15:03 - Anna Maria Bigatti

Same should be for isqrt!  FloorSqRt? FloorSqrt?

#6 - 23 Nov 2015 19:25 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 40 to 80

Checked in the renaming ILogBase to FloorLogBase.

Currently the C5 manual page is single; it's what I'd done, and I have not yet had time to change it (but I prefer to check in before going home).

Maybe try the manual page as it is, and see what you think.  I have compilation problems, so will check it later.

#7 - 24 Nov 2015 14:30 - John Abbott

I'm still happy with the single combined page for FloorLog2, FloorLog10, and FloorLogBase.  But if you can convince me otherwise...

#8 - 26 Nov 2015 18:10 - Anna Maria Bigatti

- Status changed from Resolved to In Progress

- % Done changed from 80 to 40

John Abbott wrote:

I'm still happy with the single combined page for FloorLog2, FloorLog10, and FloorLogBase.  But if you can convince me otherwise...
OK, I guess that's good having the first 8 characters in common ;-)

#9 - 26 Nov 2015 18:20 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 40 to 90

Putting into Feedback now that Anna is happy with the C5 manual entry.

I'll add ILogBase to obsolescent.cpkg5.

#10 - 21 Mar 2016 15:21 - John Abbott

- Status changed from Feedback to Closed

4 months in feedback without problems: closing!

#11 - 22 Mar 2016 17:31 - Anna Maria Bigatti

- % Done changed from 90 to 100
